notepadpp (8.7.6-1+stackrpms) obs; urgency=medium

  * Upstream updates
    * Update to scintilla 5.5.3 & Lexilla 5.4.1. (Fix #10528, #15801,
      #15817, implement #15982)
    * Enhance performance of syntax highlighting for large files. (Fix
      #15952)
    * Make "Show close/pin button on each inactive tab" optional. (Fix
      #15912, #16035)
    * Add ShortcutMapper Multilingual ability, allowing the use of specific
      keys for non-en-US keyboards. (Fix #14395, #15966, #16071)
    * Fix vertical tab crashes when enabling/disabling the pin tab feature.
      (Fix #16033)
    * Fix crash when passing an invalid buffer with NPPM_SETUNTITLEDNAME.
      (Fix #15970)
    * Fix floating panels position resetting regression in multi-monitor
      configurations. (Fix #15498, #16077)
    * Fix incorrect "Replace all" behavior during the second replace in
      selection. (Fix #14897, #14624, #15992)
    * Fix backup file renaming bug for untitled tabs. (Fix #16043)
    * Enhance UX in "Find in file" action when the Directory field is
      empty. (Fix #16051)
    * Make the current line/position copyable in the Go to Line dialog.
      (Fix #15950)
    * GUI enhancement: hide right menu shortcuts on the fly. (Implement
      #16065)
    * Minor enhancements for JavaScript, CSS & HTML. (Fix #15821, #15825,
      #16036)

 -- B. Stack <bgstack15@gmail.com>  Sun, 02 Feb 2025 19:59:15 -0500

notepadpp (8.7.5-1+stackrpms) obs; urgency=medium

  * Upstream updates
    * Fix nfo file losing modification issue (regression from v8.7.4). (Fix
      #15964)
    * Fix network file wrong modification detection (regression from
      v8.7.1). (Fix #15819)
    * Fix regression "Open Selected PathName(s)" command not working while
      all selected. (Fix #15960)
    * Fix unusuability after deleting files in split view. (Fix #15922)
    * Fix unsaved documents lost on next launch if portable Notepad++
      change path. (Fix #1587, #15886)
    * Refactoring for the better performance & smaller binary size. (Fix
      #15898)
    * Improve "Copy Selected Lines" command. (Fix #15803)
    * Add Visual Basic function list. (Fix #3239)
    * Add Swift, TypeScript, and Go for advanced Auto-indent. (Fix #15900)
    * Fix UDL comment line not working due to conflict with stream comment
      definition. (Fix #11897)
    * Enhance "Follow current doc." GUI action/option in Find in files.
      (Fix #15908)
    * Fix Reload Workspace not working. (Fix #11551)
    * Add "Show details" functionality in installer. (Fix #15718)

 -- B. Stack <bgstack15@gmail.com>  Tue, 31 Dec 2024 10:18:02 -0500

notepadpp (8.7.4-1+stackrpms) obs; urgency=medium

  * Upstream updates
    * * Fix regression of multi-line tabbar height not updated after closing
    * tabs. (Fix #15905)
    * * Fix the extension defined by user not override language default
    * extensions. (Fix #8035, #8304, #10609, #15826)
    * * Fix encoding of nfo file cannot be changed bug. (Fix #8823, #9153,
    * #13905)

 -- B. Stack <bgstack15@gmail.com>  Tue, 10 Dec 2024 21:26:18 -0500

notepadpp (8.7.3-1+stackrpms) obs; urgency=medium

  * Upstream updates
    * Fix a crash while disabling "Pin tab" feature. (Fix #15860)
    * Fix drag&drop a folder in Notepad++ launch redundant dialog
      regression. (Fix #15869)
    * Fix docked panels invisibility in multi-instance mode. (Fix #15873)
    * Add "Pin/Unpin Tab" context menu item. (Fix #15852)
    * Add "Close All BUT Pinned" command. (Fix #15863)
    * Fix a possible buffer overflow issue. (Fix #15850)

 -- B. Stack <bgstack15@gmail.com>  Wed, 04 Dec 2024 11:50:03 -0500

notepadpp (8.7.2-1+stackrpms) UNRELEASED; urgency=medium

  * Upstream updates
    * Add Pin tab feature. (Fix #5786, #8377, #12806, #14216)
    * Tabbar enhancement: Hide inactive tab Close & Pin buttons. (Fix
      #15298)
    * Tabbar enhancement: Highlight inactive darken tab on mouse hover.
      (Fix #15791)
    * Fix Ctrl-C not doing copy from Search result issue. (Fix #15739)
    * Add "Minimize / Close to" option for System tray. (Fix #15771)
    * Add ability to open/copy selected files from Search-results. (Fix
      #15741)
    * Fix replace field focus losing when Notepad++ is switched back. (Fix
      #6021)

 -- B. Stack <bgstack15@gmail.com>  Wed, 04 Dec 2024 11:49:28 -0500

notepadpp (8.7.1-1+stackrpms) UNRELEASED; urgency=medium

  * Upstream updates
    * Update cURL in Notepad++ updater (WinGUp) for fixing cURL's
      CVE-2024-7264 issue. (Fix #73)
    * Fix opened network files hanging while the network disconnected. (Fix
      #4306, #6178, #8055, #11388, #12553, #15540)
    * Fix not being able to open folder via cammand argument regression.
      (Fix #15645)
    * Update to Scintilla 5.5.3 & Lexilla 5.4.1. (Fix #15228, #15368,
      #15650)
    * Fix modified Find dialog status msg colors not being remembered throu
      sessions. (Fix #15724)
    * Fix hanging issue while hiding lines. (Fix #15630)
    * Make left behide hide line close marker removable. (Fix #15713)
    * Fix Find dialog status bar wrong messaging (regression). (Fix #15662)
    * Fix URL parsing issue with '?' after '#'. (Fix #13583)
    * Add "Close to system tray" ability. (Fix #4075, #11627)
    * Add tab created time tooltip for new opened untitled tab. (Fix #15563)
    * Improve GUI to avoid user confusion between Global override & Default
      Styles. (Fix #15640)

 -- B. Stack <bgstack15@gmail.com>  Wed, 04 Dec 2024 11:49:01 -0500

notepadpp (8.7-1+stackrpms) obs; urgency=medium

  * Upstream updates
    * Update to scintilla 5.5.2 & Lexilla 5.4.0. (Implement #15564)
    * Fix monitoring large files with frequent writes freezing the UI
      issue. (Fix #9661, #15611)
    * Fix regression of multiple selections in comboboxes of Find dialog.
      (Fix #15583)
    * Fix a single undo reverting many changes issue. (Fix #9426)
    * Improve Styler Configurator performance considerably. (Fix #12436,
      implement #15565)
    * Fix CVE-2014-9456 (but CVE-2014-9456 is not a "Security
      Vulnerability"). (Fix #12669)
    * Make find dialog status messages color customizable via Style
      Configurator. (Fix #5087)
    * Make individual tab color customizable via Style Configurator. (Fix
      #12156)
    * Add new plugin command NPPM_GETNATIVELANGFILENAME & notification
      NPPN_NATIVELANGCHANGED for native language being changed. (Fix #15513)
    * Fix Folder as Workspace sorting problem for network storage (Samba,
      WebDAV, WSL, etc.). (Fix #10557, #15397)
    * Fix closing unsaved clone document causing periodic backup loss
      issue. (Fix #8227)
    * Fix Style Config's "User-defined keywords" not being saved properly
      after emptying it. (Fix #15543, #14303)
    * Add user-defined keyword ability for some supported programming
      languages (ActionScript, ASP, Bash, C, C++, C#, GDScript, Go, HTML,
      Java, JS, JSP, Lua, PHP, Python, RC, Swift, TypeScript, & XML). (Fix
      #15520)
    * Add Fluent Icons for enhancing FunctionList, Folder as Workspace &
      project panels' icons in lite mode. (Implement #15541, #15532)
    * Fix Python smart indent issue when a string or comment line ends with
      a colon. (Fix #15528, #15534)
    * Add file type filters for UDL in Save dialogs. (Fix #8083, #11096)
    * Add TOML language (TOML format) support. (Fix #5631)
    * Add function list for TeX/LaTeX. (Implement #15595)
    * Recognize Cython files as Python. (Fix 3069#, #3767)
    * Fix edit zone not getting focus while clicking the active tab. (Fix
      #8446)
    * Add the ability to open the copy automatically after the "Save a
      Copy" command. (Fix #11861)
    * Fix inability to paste after removing read-only via menu. (Fix issue)
    * Add one more option for auto-indent so C-Like language indent can be
      disabled. (Fix #15396)
    * Fix Style Configurator regression: "URL hovered"'s "Go to Settings"
      not working. (Fix #15493)

 -- B. Stack <bgstack15@gmail.com>  Wed, 18 Sep 2024 11:46:13 -0400

notepadpp (8.6.9-1+stackrpms) obs; urgency=medium

  * Upstream updates
    * Make installation and updates easy & quiet by adding "Yes (Silent)"
      button. (Fix #8514)
    * Add new options '/closeRunningNpp' & '/runNppAfterSilentInstall' in
      the installer. (Implement #15230, implement #15280)
    * Fix crash of "Next Search Result" command on the empty search result.
      (Fix #15247)
    * Fix the regression where the Find dialog size is not remembered
      across sessions. (Fix #15294)
    * Fix the regression of content lost by using Encoding "Convert to..."
      commands. (Fix #15324, #15271, #3054, possibly #9426)
    * Fix the regression of exception/crash on Windows Server Core 2022.
      (Fix #15313)
    * Prevent DirectWrite from being enabled under Windows Sever. (commit)
    * Enhance the quality of Fluent toolbar icon sets for different DPI
      settings. (Fix #15253)
    * Improve the look & feel of tabbar close button in dark mode. (Fix
      #15321, implement #15326)
    * Improve the dark mode tab bar icon in the search results panel.
      (Implement #15286)
    * Add ability to pre-populate the predefined color sets for custom
      tones. (Fix #15055)
    * Add "Show All Character" popup menu on toolbar button. (Fix #14832)
    * Fix the rectangular selection copy-paste bug. (Fix #15139, #15151)
    * Allow opening shortcut files (*.lnk) directly if the file extension
      is changed. (Fix #9643, #11089, #10139)
    * Fix the lost panels issue. (Fix #13084)
    * Add Backspace unindent option. (Fix #15180)
    * Fix CSS more indentation bug. (Fix #14962)
    * Include F13-F24 keys in Shortcut Mapper. (Fix #11975)
    * Fix the problem where the last empty clean untitled tab cannot be
      closed after renaming. (Fix #15306)
    * Add plugin a command (NPPM_SETUNTITLEDNAME) to rename untitled tab.
      (Fix #8916)
    * Display a message box with information about disabled backward regex
      searching. (Fix #15239)
    * Fix the display glitch for unsaved tabs containing tab characters.
      (Fix #15202)
    * Fix status bar and tab bar flicker during the GUI updated (fixed only
      for dark mode). (Fix #15260)
    * Fix the issue with "Begin/End Select" command after deletion. (Fix
      #15221)
    * Resolve the integer overflow problem in the Column Editor. (Fix
      #15167)
    * Adjust the position of hits text in the File Progress dialog. (Fix
      #13426, #15244)
    * Fix the deployment of other software blocked due to NppShell. (Fix
      #62)

 -- B. Stack <bgstack15@gmail.com>  Tue, 16 Jul 2024 09:52:52 -0400

notepadpp (8.6.8-1+stackrpms) obs; urgency=medium

  * Upstream updates
    * Fix a crash in Column Editor caused by an arithmetic overflow. (Fix
      #15144)
    * Fix the issue where any negative repeat value in Column Editor causes
      a hang. (Fix #15153)
    * Fix an extra space being inserted in HEX mode issue in Column Editor.
      (Fix #15168)
    * Fix a visual glitch of the toolbar pressed buttons in dark mode. (Fix
      #15225)
    * Add auto-indent feature for Python. (Fix #15122)
    * Fix the issue where "show control characters" settings not remembered
      when switching to another tab. (Fix #13988)
    * Fix the missing monitoring disabled state icon from the fluent icon
      set on the toolbar. (Fix #15217)
    * Adjusted the inaccurate naming of indent settings in thee Preferences
      dialog. (Fix issue)
    * Fix the issue where the customized color of active tab in inactive
      view is missing. (Fix #15140)
    * Introduce a new plugin command "NPPM_GETTABCOLORID" to retrieve the
      current tab color ID. (Fix #15115)
    * Allow the tree view dark mode customization for plugins. (Fix #15077)
    * Fix the popup dialog for updating not metioning 'Notepad++'. (Fix
      #14668)

 -- B. Stack <bgstack15@gmail.com>  Mon, 10 Jun 2024 11:47:43 -0400

notepadpp (8.6.7-1+stackrpms) obs; urgency=medium

  * Upstream updates
    * Fix regression of multi-edit cursors placed wrongly issue. (Fix
      #15126)
    * Fix multi-editing not showing multiple cursors in dark mode. (Fix
      #15075)
    * Add auto-completion for Go & Raku, function list for Raku. (Implement
      #15128)
    * Fix symbol '&' not showing in Document Switcher. (Fix #15117)
    * Allow syntax highlighting for custom tags in HTML. (Fix #15093)
    * Fix dialogs out of screen problem. (Fix #11240, #14913)

 -- B. Stack <bgstack15@gmail.com>  Mon, 13 May 2024 14:54:00 -0400

notepadpp (8.6.6-1+stackrpms) UNRELEASED; urgency=medium

  * Upstream updates
    * Update to scintilla 5.5.0 & Lexilla 5.3.2. (Merge #15042)
    * Fix crash when crossing the 2GB file size threshold. (Fix #14944,
      #14981)
    * Fix a performance issue due to URL recognition. (Fix #13916)
    * Update to nlohman json 3.11.3. (Merge #15041)
    * Fix multi-edit resists escape after typing issue. (Fix #14649)
    * Make F3 & Shift-F3 work in Find Replace dialog. (Fix #2138)
    * Allow Ctrl-TAB to switch tabs in FindReplace, PluginAdmin and UDL
      dialogs. (Fix #7932, #14975)
    * Add programming language support for Go & Raku(Perl 6). (Fix #8090,
      #4465)
    * Fix user defined auto-insert not working issue. (Fix #3171, #8063,
      #12547, #14831)
    * Enhance GUI: resize checkboxes/radio buttons as text length needs.
      (Fix #15006)
    * Enhance GUI: make sizing arrows more coherent in Find dialog. (Fix
      #15099)
    * Fix URL enclosed in apostrophes or backtick not working issue. (Fix
      #14978, #14323, #14212)
    * Fix wrong dropped file view issue. (Fix #14951)
    * Fix Korean/English key not working regression. (Fix #14400, #14973)
    * Fix the tab labels of some dialogs being cut in Dark mode. (Fix
      #11012)
    * Fix close button disappeared issue in Find Replace dialog. (Fix
      #14940)
    * Apply dark theme to checkbox buttons on Windows 11. (Fix #14929)
    * Fix menu bar cluttered in Dark Mode issue. (Fix #10130)
    * Fix Debug Info minor display regression. (Fix #14921)
    * Enhance Lua language syntax highlighting. (Fix #7615, #15081)
    * Improve the function list support for Ada. (Fix #14908, #14687,
      #14498)

 -- B. Stack <bgstack15@gmail.com>  Mon, 13 May 2024 14:53:00 -0400

notepadpp (8.6.5-1+stackrpms) obs; urgency=medium

    * Fix "Replace All" action not notifying plugins of modification
      regression by adding NPPN_GLOBALMODIFIED. (Fix #14767, see
      NPPN_GLOBALMODIFIED how to)
    * Fix plugins not receiving some Scintilla notification types
      regression. (Fix issue)
    * Fix Shortcut Mapper pontential crash problem. (Implement #14880)
    * Fix period backup pontential crash due to the dead lock. (Fix #14906)
    * Fix NUL characters file corruption after power outrages. (Fix #6133,
      implement #14860)
    * Remedy losing session problem after the power outrages. (Fix #14781,
      implement #14858)
    * Fix URLs are not detected after a "Replace All" regression. (Fix
      #14864)
    * Notify user while saving failure due to hardware problem. (Implement
      #14842)
    * Update to scintilla 5.4.3 (from 5.4.1) & Lexilla 5.3.1. (Implement
      #14834)
    * Support template literal (template strings) in JavaScript & make
      `back-quoted strings` more readable. (Fix #3822)
    * Add support for Change History in the text, besides in the margin.
      Also, make Change History color configurable. (Fix #12321, #13915,
      Implement #14838)
    * Fix NPPM_RELOADFILE API return wrong result issue. (Fix issue)
    * Enhance Shortcut Mapper filter to find the command items more easily.
      (Fix #14743)
    * Prevent typing control characters into document & make it optional.
      (Fix #13279)
    * Fix possible no-GUI state when using systray. (Fix #14777)
    * Make context menu popup location at current text position when
      invoked via keyboard. (Fix #14727)
    * Fix Notepad++ blocked when closed minimized or from systray. (Fix
      #14718)
    * Fix Mouse Wheel Scrolling in Shortcut Mapper & reduce also the memory
      use. (Fix #14895)
    * Fix Python wrong decorator attribute colors & add "ATTRIBUTE" color
      in styles.xml.model. (Fix #5894)

 -- B. Stack <bgstack15@gmail.com>  Tue, 02 Apr 2024 15:15:06 -0400

notepadpp (8.6.4-1+stackrpms) obs; urgency=medium

    * Fix regression that the view cannot be activated by mouse clicking.
      (Fix regression)

 -- B. Stack <bgstack15@gmail.com>  Tue, 20 Mar 2024 15:39:34 -0400

notepadpp (8.6.3-1+stackrpms) UNRELEASED; urgency=medium

    * Restore multi-editing option & add "Column To Multi-editing" option
      on GUI. (Fix #14645)
    * Make "copy/cut line while no selection" optional. (Fix #14638)
    * Fix all open files lost after restarting as Admin to save a file.
      (Fix #14694)
    * Fix "Replace All" crash & performance issue. (Fix #14630)
    * Fix calltip crash due to the division by zero. (Fix #14664)
    * Enhance Function List for Python to support "async def" & colons in
      argument list. (Fix #13908)
    * Fix Copy/Cut/Paste issue in Vertical Edge text field in preferences
      dialog. (Fix #13874)
    * Fix macro recording twice for some commands. (Fix #5217, #14634)
    * Fix "Open File" command not working with TAB preceded. (Fix #14543)
    * Add auto-completion keywords for PHP, JavaScript and CSS. (Fix
      #14635, #14705)

 -- B. Stack <bgstack15@gmail.com>  Tue, 20 Mar 2024 15:38:39 -0400

notepadpp (8.6.2-1+stackrpms) obs; urgency=medium

    * Fix Shift-DEL, Ctrl-INS and Shift-INS not working regression. (Fix
      #14470, #14571)
    * Fix Ctrl+V cannot paste into the text fields of certain plugins
      regression. (Fix #14568)
    * Remove option "disableLineCopyCutDelete.xml" (the empty file takes no
      effect).
    * Fix a regression: the position in the previous session is now
      restored correctly in cloned document. (Fix #14164)

 -- B. Stack <bgstack15@gmail.com>  Tue, 16 Jan 2024 14:12:42 -0500

notepadpp (8.6.1-1+stackrpms) UNRELEASED; urgency=medium

    * Updated to Scintilla 5.4.1 & Lexilla 5.3.0. (Implement #14375)
    * Fix a regression: the position in the previous session is now
      restored correctly in cloned document. (Fix #14164)
    * Fix a regression: customized extension in Style Configurator is now
      saved correctly. (Fix #14437)
    * Add an ability (disableLineCopyCutDelete.xml) to disable line
      copy/cut/delete when no selection is made and also add back Shift-DEL &
      Ctrl-INS shortcuts. (Fix #14470, ref, ref))
    * Add an ability (noColumnToMultiSelect.xml) to disable column mode to
      multi-select mode. (Fix #14464, ref)
    * Fix deleting in column mode also delete an unexpected EOL. (Fix
      #14426)
    * Fix hidden results of long lines for Search results with "Find in..."
      commands. (Fix #12023)
    * Enhance Search-results by showing search options for "Find in..."
      commands. (Fix #14306)
    * Fix an issue: replacements are no longer duplicated (the 2nd time in
      cloned document) for "Replace in Opened Docs". (Fix #14505)
    * Fix a regression to make F3 & Shift-F3 work again in Incremental
      Search. (Fix #14503)
    * Add document tab navigation commands: "First tab" & "Last tab". (Fix
      #14416)
    * Add document tab commands: "Move to Start" & "Move to End" commands.
      (Fix #9525, #13982)
    * 3 RTL new abilities: RTL per document, RTL per document remembered
      across the sessions & new attribute editZoneRTL="no" in RTL
      localization files. (Fix #9665, #9950, #14385)
    * Enhance the "-loadingTime" command line parameter. (Fix #14472)
    * Enhance the performance: disable undo collection while loading a
      file. (Fix #14455)
    * Sort language list in the Preferences dialog. (Fix #14245)
    * Fix a visual glitch that occurred during multi-paste. (Fix #14410)
    * Fix confusing memory allocation error message. (Fix #14418)
    * Fix python wrong decorator attribute color. (Fix #5894)
    * Fix file status in "other view" is not detected. (Fix #14225)
    * Fix dropped file being opened in the wrong view. (Fix #14354)

 -- B. Stack <bgstack15@gmail.com>  Tue, 16 Jan 2024 14:11:40 -0500

notepadpp (8.6-1+stackrpms) obs; urgency=medium

    * Multi-edit is fully supported in Notepad++. (Fix #14266, #8203)
    * Make multi-select background & caret colours customizable. (Fix
      #14302)
    * Make session inaccessible files remembered (empty & read-only
      document as placeholder). (Fix #12079, #12744, #13696)
    * Fix missing session invalid error for user session & enhance API
      NPPM_GETNBSESSIONFILES. (Fix #14228)
    * Fix network shared files saving regression. (Fix #14300)
    * Update Scintilla to v5.3.8 & Lexilla to v5.2.8. (Fix #13442, #14188,
      #14288)
    * Fix docking panel crash due to messing up config.xml. (Fix bug report
    * Fix invalid styler.xml making Notepad++ crash issue. (Fix #12101)
    * Fix tab-closing crash by middle mouse button (unexpected mouse
      position). (Fix #14328)
    * Fix 2 performance issues in Style Configurator. (Fix #14321)
    * Add 3 line operation (delete, copy & cut) shortcuts. (Fix #14296)
    * Display extra info in the status bar of Find/Replace dialog to avoid
      PEBKAC. (Fix #14307)
    * Fix "Hide lines" command hiding unselected lines issue. (Fix #14166)
    * Fix silent installer mode when Notepad++ is running issue. (Fix
      #10189, #10277, #22514, #14236, fix partially #8514)
    * Fix Updater's vulnerability (update cURL in WinGUp for fixing
      CVE-2023-38545). (Fix WinGUp issue #50)
    * Fix incoherent behaviour of "Duplicate Current Line" menu command.
      (Fix #5298)
    * Fix JSON5 not using JSON keywords. (Fix #14205)
    * Fix empty message showing while cancelling session file saving
      dialog. (Fix #14235)

 -- B. Stack <bgstack15@gmail.com>  Mon, 04 Dec 2023 17:00:45 -0500

notepadpp (8.5.8-1+stackrpms) obs; urgency=medium

    * Fix "Clear Read-Only Flag" command not working immediately
      regression. (Fix #14138)
    * Fix saving files losing Alternate Data Stream issue. (Fix #1498,
      #8451, #8013)
    * Fix data loss issue due to no room on disk for saving. (Fix #5664,
      #14089)
    * Add Win10/Win11 Restart-application feature. (Fix #9722, #11721,
      #11934)
    * Fix user created session being modified behaviour on exit. (Implement
      part 1, part 2, part 3)
    * Improve document list display performance. (Fix #13479, #12632)
    * Update Scintilla to v5.3.7 & Lexilla to v5.2.7. (Fix #13991, #14062)
    * fix unwanted Afrikaans installer language issue. (Fix #3844, #7574)
    * Fix a crash issue while reading settings from cloud. (Fix #14131)
    * Fix security issue CVE-2022-31901. (Fix #13520)
    * Enhance non-saved search text's persistence in Find dialog combobox
      while pressing arrow key. (Fix #14174)
    * Make auto-checking of Find InSelection configurable (resizable & can
      be disabled). (Fix #14108, #13677, #12639)
    * Perl enhancement: Update Stylers & the keywords for Perl v5.38. (Fix
      #14192)
    * Fix "Single Line Uncomment" uncommenting an extra line issue. (Fix
      #12829)
    * Fix "Next Bookmark" command not resetting current column issue. (Fix
      #14137)
    * Allow menu command Window->Windows to be assigned a shortcut. (Fix
      #14179)
    * Fix wrong categories in Shortcuts Mapper. (Fix #13285)

 -- B. Stack <bgstack15@gmail.com>  Mon, 06 Nov 2023 13:31:47 -0500

notepadpp (8.5.7-1+stackrpms) obs; urgency=medium

    * Fix 4 security issues CVE-2023-40031, CVE-2023-40036, CVE-2023-40164
      & CVE-2023-40166. (Fix #14073)
    * Security enhancement: Sign uninstall.exe. (Fix #14099)
    * Change the slogan in installer. (Fix #14052)
    * Fix eventual memory leak while reading Utf8-16 files. (Fix #4120,
      #5806, #4443)
    * Fix dragging tab performance issue while Document List is displayed.
      (Fix #13479, #12632)
    * Add suppress 2GB file warning option for x64. (Fix #14055)
    * Fix cloned document disassociated issue after Notepad++ being
      relaunched. (Fix #10266)
    * Fix session file saving problem if it's read-only. (Fix #14024,
      #13894, #13859)
    * Fix activating wrong file(s) issue after loading session file. (Fix
      #14006)
    * Fix product version value displayed in file's properties. (Fix
      #14010, #11886, #11431)

 -- B. Stack <bgstack15@gmail.com>  Sun, 08 Oct 2023 16:41:41 -0400

notepadpp (8.5.6-1+stackrpms) UNRELEASED; urgency=medium

    * Fix plugin crash regression due to CET enhancement. (Fix regression
      due to CET)
    * Add new API: indicator allocation for plugins. (Fix #5744)
    * Fix hide lines merging to avoid merging across a visible line. (Fix
      #12844)
    * Fix "Clear Change History" issue: cloned document markers are not
      cleared. (Fix #13877)

 -- B. Stack <bgstack15@gmail.com>  Sun, 08 Oct 2023 16:40:47 -0400

notepadpp (8.5.5-1+stackrpms) UNRELEASED; urgency=medium

    * Update to Scintilla 5.3.6 and Lexilla 5.2.6 (Implement #13940, fix
      #4741, #13901, #13943, #13911)
    * Add change history navigation commands: Go to next/prev change &
      Clear change history. (Fix #12248)
    * Fix Change History incorrect display after "Reload from Disk"
      command. (Fix #12319, #12261, #13735)
    * Remember through sessions the directory of "Remember last used
      directory". (Fix #11326, #10901, #4961, #4119)
    * Fix regression of double clicking on find result not going to the
      document. (Fix #13636)
    * Fix regression of opening file rejection if file name contains dot at
      the end. (Fix #12849)
    * Fix error message of opening file with '=' as end of file name. (Fix
      #13344)
    * Fix menu Tools contains 2 SHA-256 item while using localization. (Fix
      #13797)
    * Fix SHA-1 hash result wrong length bug while "Treat each line as a
      separate string" enabled. (Fix #13812)
    * Add SHA-512 hash features (Fix #13805)
    * Fix normal.xml for Normal text auto-completion not working issue.
      (Fix #12325)
    * Fix Korean IME append file extension issue in save dialog. (Fix
      #11582, #12225, #12366)
    * Make find/replace in files result more accurate while used RegExpr is
      invalid. (Fix #13164)
    * Fix Project panel's inaccurate initialized path in save dialog. (Fix
      #13086)
    * Fix wrong syntax highlighting of URLs with quotes in JSON. (Fix
      #13522)
    * Fix Clipboard History panel shows corrupted data issue. (Fix #13817,
      #13844)
    * Improve lines sorting memory consumption. (Fix #10435)
    * Enhance "Add new document at startup": add new document only when the
      session is remembered. (Fix #13796)
    * Enhance "Convert case to Proper Case" command: fix the error
      conversion after quote.

 -- B. Stack <bgstack15@gmail.com>  Sun, 08 Oct 2023 16:40:09 -0400

notepadpp (8.5.4-1+stackrpms) UNRELEASED; urgency=medium

    * Fix macro recording regression on Unicode character. (Fix #13757)
    * Fix regression of defective detection for file read-only attribute
      removal via Explorer. (Fix #13742)
    * Fix opening multi-files on multi-instance mode regression. (Fix #36,
      #13778)
    * Update: Scintilla 5.3.5 Lexilla 5.2.5. (Implement #13729)
    * Fix Notepad++ hanging issue running macro to EOF. (Fix #13342)
    * Fix EOL symbol color/appearence being reset issue while changing
      encoding. (Fix #13728)
    * Enable code folding in Assembly source files. (Fix #13758, #9888)
    * Fix document language not remembered through sessions issue. (Fix
      #13743)
    * Add SHA-1 hash features. (Fix #13791)
    * Add "open new blank document in addition on startup" ability. (Fix
      #11134, #9535, #5527)
    * Fix lexer plugin is sorted unconventionally in language menu issue
      (Fix #9516)
    * Add message NPPM_DARKMODESUBCLASSANDTHEME to allow plugin to use
      generic dark mode. (Fix #13574)
    * Add the ability to close multiple files without saving in Document
      list. (Fix #13768, #13178)
    * Several GUI Enhancements. (Fix #13764, #10349, #8109, #13703, #13701,
      #13686, #13665, #13657, #13676, #13667, #13624, #13622)
    * Fix error message on uninstallation. (Implement #13653)
    * Fix tabContextMenu_example.xml not being deleted while
      uninstallation. (Fix #13670)

 -- B. Stack <bgstack15@gmail.com>  Sun, 08 Oct 2023 16:39:41 -0400

notepadpp (8.5.3-1+stackrpms) obs; urgency=medium

    * Fix session file data loss issue. (Fix #13514)
    * Fix Explorer context menu "Edit with Notepad++" needs restarting os
      to appear issue under Win 8/10. (Fix #13)
    * Fix Explorer context menu "Edit with Notepad++" not installed for
      multiple users issue. (Fix #13476)
    * Fix Explorer context menu "Edit with Notepad++" double entries in
      some applications (Winzip). (Fix #13499)
    * Make Explorer context menu "Edit with Notepad++" translatable. (Fix
      #17)
    * Add the UTF8 character ability for Run & Macro menu. (Fix #12670,
      #13221, #13488)
    * Add hide/show ability of Control Characters (C0 & C1) and Unicode
      EOL. (Fix #8111)
    * Fix Change history margin in black color issue. (Fix #12764, #13593)
    * Improve "Remove consecutive duplicate lines" command performance.
      (Fix #5538, #12548)
    * Project Workspace "Save a Copy As" confusion issue. (Fix #13135)
    * Make "Remove consecutive duplicate lines" support more line break.
      (Fix #13474)
    * Fix UDL deletion issue. (Fix #8101)
    * Fix RTL not working on FindInFiles progress window. (Fix #13458)
    * Fix search results output alignment for large file searches. (Fix
      #13481)
    * Several GUI Enhancements. (Fix #13615, #13601, #12812, #13579,
      #13577, #13575, #13597, #13524, #13540, #13544, #13315)

 -- B. Stack <bgstack15@gmail.com>  Fri, 26 May 2023 11:28:03 -0400

notepadpp (8.5.2-1+stackrpms) obs; urgency=medium

    * Enhance "Edit with Notepad++" context menu and fix several issues.
      (Fix #13399, #13410, #13425, #13438, #13440, #13446, #13457)
    * Make Find/Replace dialog swap/copy button usage more explicit. (Fix
      #13368, #13021)
    * Fix unexpected caret column jump post brace match. (Fix #13433)
    * Add hits in-progress increased number to Search Progress dialog. (Fix
      #13364)
    * Add HTML Hexadecimal column and more items to ASCII panel. (Fix
      #13347)
    * Add ability to do leading spaces with Column Editor. (Fix #11148,
      #13309)
    * Add programming language support for Hollywood. (Implement #13417)
    * Fix dock panels visual glitch while finding in search results. (Fix
      #13402, #13459)
    * Fix Mark dialog's Copy Marked Text button is not macro-able issue.
      (Fix #13405)
    * Dark mode enhancement: make focused combobox more visible. (Fix
      #13420)
    * Fix find dialog flicker issue. (Fix #9536, #13381)
    * Enhance Notepad++ icon's display in system tray. (Fix #8971)
    * Fix some options in Mark dialog not remembered though the session
      issue. (Fix #13277)

 -- B. Stack <bgstack15@gmail.com>  Mon, 10 Apr 2023 10:00:06 -0400

notepadpp (8.5.1-1+stackrpms) obs; urgency=medium

    * Use new modern shell "Edit with Notepad++" of Windows 11 instead of
      hijacking "Pin to Quick access".(Fix #13320, implement #13330)
    * Update scintilla to 5.3.4 and lexilla to 5.2.4. (Implement #13338)
    * Add MS Transact-SQL support. (Fix #5940, #7988, #11718, #12610,
      #13160)
    * Add GDScript language support with autocomplete & functionlist. (Fix
      #13329)
    * Fix UDL empty button regression after changing localization. (Fix
      #13228)
    * Add ability to copy "Find what" to "Replace with" and vice versa in
      Find Replace dialog. (Fix #12122)
    * Fix DocSwitcher RTL problem, and use edit field instead of a small
      popup value dialog. (Fix #13244, #13248)
    * GUI visual enhancement: Fix whole dialog items blink when a item
      value changed. (Fix #13230)
    * Make tray icon context menu translatable. (Fix #11628)

 -- B. Stack <bgstack15@gmail.com>  Tue, 28 Mar 2023 09:33:35 -0400

notepadpp (8.5-1+stackrpms) obs; urgency=medium

    * Fix notepad replacement opening file name containing white space
      regression. (Fix #13032)
    * Fix regression about visual glitch of Find in Files progress window &
      Document Switcher.(Fix #13185, #13053)
    * Update to Scintilla 5.3.3 and Lexilla 5.2.2. (Implement #13082)
    * Add new explorer context menu entry "Edit with Notepad++" for WINDOWS
      11. (Fix #10320, #10565, #4368, #8786, #10640, #10856, #10653, #7747,
      #6169, #92)
    * Add show non-printable characters command. (Fix #827, #4731, #8284)
    * Apply tab colors to document list items, and add groups to document
      list. (Fix #12155, #12689, #13026)
    * Add middle mouse click ability to close doc in Document List. (Fix
      #12949)
    * Add Begin/End Select in Column Mode command. (Fix #12833, #12832)
    * Add option to make auto-completion list brief. (Fix #12783)
    * Remove duplicate items in function/word list of Auto-completion. (Fix
      #13061)
    * Fix missing items in word autocomplete. (Fix #13060)
    * Fix autocomplete to sort case insensitive issue. (Fix #12495)
    * Change behaviour: make Select and Find (Next/Previous) always in
      normal search mode. (Fix #3229)
    * Change behaviour: make volatile Find uses least-strict option
      settings. (Fix #13145)
    * Change behaviour: Don't populate in Find what if a stream selection
      more than 1024 characters. (Fix #12603)
    * Fix wrong value set in Preferences->Performance->"Define Large File
      Size".(Fix #13280)
    * Fix untitled document number jumping or repeated problem. (Fix #8677,
      #11704, #13194)
    * Fix dock-able panels not restoring for mono instances when Notepad++
      is in the tray. (Fix #9454)
    * Fix panels not restored from systemtray with "Edit with Notepad++" in
      admin mode. (Fix #13041)
    * Fix hit text in search results not being scrolled in the view issue.
      (Fix #13129)
    * Add new notification NPPN_EXTERNALLEXERBUFFER for lexer plugin with
      buffer ID when a new lexer is applied to the buffer in question. (Fix
      #12351)
    * Fix Synch H/V Scrolling commands not sync with 2 views. (Fix #5250,
      #13071)
    * Add several GUI enhancement. (Fix #11695, #13176, #13187, #13162)
    * Make several GUI items translatable. (Fix #13175, #8020, #8858,
      #13088, #8927, #10876, #9343, #8004)

 -- B. Stack <bgstack15@gmail.com>  Wed, 08 Mar 2023 11:04:30 -0500

notepadpp (8.4.9-1+stackrpms) obs; urgency=medium

    * Fix saving 4GB+ files file size cutting off issue. (Fix #12526)
    * Fix v8.4.8 hanging while opening some Pascal files. (Fix #12822)
    * Add JSON5 support, only JSONC currently (with js comment supported).
      (Fix #11676, #11713)
    * Add configuration for panels to ignore '-nosession'. (Fix #9710)
    * Fix Notepad Replacement display 'Cannot open file " "' regression in
      v8.4.8. (Fix #12775)
    * Fix Notpad++ hangs while deleting search results results. (Fix #12555)
    * Fix XML tag-matching not be case-sensitive. (Fix #10011)
    * Add support selection for "EOL to Space" commands, "TAB and Space
      conversion" commands & trim operations.(Fix #12720, #12745, #12702,
      #12602, #12658)
    * Improve Pascal/Delphi function list performance. (Fix #12693, #12687,
      #12808)
    * Fix exclude functions in comment zones in C++, PHP, JavaScript and
      Pascal. (Fix #12759)
    * Use stable sort algorithm instead of standard sort one. (Fix #12678)
    * Fix doc switcher not using alternate icon sets. (Fix #12242)
    * Enhance dark mode. (Fix #12713, #12737)
    * Fix hand cursor on URL too small display under high DPI issue. (Fix
      #12772)
    * Fix docking GUI regression for plugin in light mode. (Fix #12007)
    * Fix cannot undo "Block Uncomment" & "Insert Date/Time" commands in
      one shot. (Fix #12830, #12831)
    * Fix sub-menu folder display mess in non-western languages under
      Macro/Run menu. (Fix #12670)

 -- B. Stack <bgstack15@gmail.com>  Wed, 08 Feb 2023 10:36:04 -0500

notepadpp (8.4.8-1+devuan) obs; urgency=medium

    * Update to Scintilla 5.3.2 and Lexilla 5.2.1. (implement #12624)
    * Dark mode: Add "Follow Windows dark/light mode" feature, and toolbar,
      tabbar and theme choices are remembered for 2 modes separately. (Fix
      #9183, #9992, #10153, #10239, #10544, #11867, #10644)
    * Fix inconsistencies at OS-forced Notepad++ v8.4.8 exit. (Fix #12541)
    * Make tab context menu customizable. (Fix #12170)
    * Make Macro & Run menu organizable with submenu by modifying
      shortcuts.xml. (Fix #5349, implement #12617)
    * Fix crash on Win32 Namespace prefixed file name. (Fix #12453)
    * Fix delimiter selection crash issue. (Fix #12384)
    * Improve performance for the "Remove Empty Lines" command. (Fix
      #12462, implement #12544)
    * Fix theme not working in cloud mode and portable mode issue. (Fix
      #6092, #10801, #12296)
    * Fix autocomplete/calltip colors not applied when changing themes.
      (Fix #12514)
    * Add dark autocompletion icons for dark themes. (Fix #12549)
    * Fix search result not applying new theme. (Fix #12588)
    * Fix sorting failure in zero-length column mode selection. (Fix #12299)
    * Fix Default Language not working for the 1st empty file with empty
      session. (Fix #12586)
    * Enhance "Go to settings" in Style Configurator. (Implement #12650,
      #12634)
    * Fix themes' inconsistent behaviour. (Fix #12642, #12508)
    * Fix incorrect plugin architecture reports partially. (Fix partially
      #12565)
    * Enhance Properties file: add/improve the syntax folding/highlighting.
      (Implementation)
    * Add vertical scroll bar on all combobox in Find Replace dialog. (Fix
      #12459)
    * Function List: Add Pascal/Delphi & NppExec plugin's scripting,
      enhance SQL. (Fix #3664, #12517, implemnt #12625)
    * Autocompletion: add PowerShell, fix some entries in PHP, update for
      Lua. (Fix #12492, implement #12641, #12657)
    * Update CPP & PowerShell keywords. (Fix #11936, #5004)
    * Fix the tab context menu reload command's state not synchronized.
      (Fix #12579)

 -- B. Stack <bgstack15@gmail.com>  Mon, 02 Jan 2023 09:38:30 -0500

notepadpp (8.4.7-1+devuan) obs; urgency=medium

    * Fix empty session issue due to forced Windows update restart. (Fix
      #9850, #12389, #5737, #4148, #2730... and much more)
    * Fix printing with extra background colors issue due to Change
      History. (Fix #12281)
    * Update to scintilla 5.3.1 and lexilla 5.2.0. (Implement #12327)
    * Updated nlohmann json to 3.11.2 and boost to 1.80.0. (Implement
      #12271, #12273)
    * Make large file restriction configurable. (Fix #11389, #12260, #11670)
    * Optimize open/save large files time. ( Commit)
    * Remember Column Editor settings through the sessions. (Implement
      #12386)
    * Fix plugin admin search issue. (Fix #12375)
    * Installer enhancement: prevent arm64 installer from installing on non
      ARM64 system. (Fix #12320)
    * Installer enhancement: remember "Don't use_%APPDATA%" option. (Fix
      #12202)
    * Add new API NPPM_GETBOOKMARKID for getting bookmark ID. (Fix Commit)
    * Enhance "Go To" dialog: update line/position data dynamically. (Fix
      #12284)
    * Fix lines hiding issue. (Fix #12184, #8149)
    * Fix language detected from content not applied if default language is
      set. (Fix #11504)
    * Fix long filters get truncated in Find in Files feature. (Fix #12041)
    * Add ESC Key for aborting "Move to Recycle Bin" confirmation prompt.
      (Fix #12117)

 -- B. Stack <bgstack15@gmail.com>  Tue, 22 Nov 2022 10:19:16 -0500

notepadpp (8.4.6-1+devuan) UNRELEASED; urgency=medium

    * Add Change History markers for document saved/unsaved/undone
      modification. (Fix #12164, #12046)
    * Add setting tab color ability. (Fix #2271)
    * Update to Scintilla 5.3.0 and Lexilla 5.1.9 (Implement #12045)
    * Fix "Never" button not showing on Updater dialog regression.
      (Implement 9c86a33)
    * Fix a printing selection regression. (Fix #11826, #12033, #11638)
    * Revamp tab context menu: make it less cluttered by adding sub-menu.
      (Fix #12147)
    * Fix a security vulnerability. (Fix #12113)
    * Add dark mode support to Choose Color dialog. (Fix #12148)
    * Add a page (tab) for incompatible (unloaded) plugins in Plugin Admin.
      (Fix #12069)
    * Add Plugin list repository link and its version in PluginAdmin dialog.
    * Fix horizontal bar showing issue while resizing document list's
      height. (Fix #12191)
    * Fix NPPN_DARKMODECHANGED wrong return value to plugins. (Fix #12144).

 -- B. Stack <bgstack15@gmail.com>  Tue, 22 Nov 2022 10:19:08 -0500

notepadpp (8.4.5-1+devuan) UNRELEASED; urgency=medium

    * Add reduce mode in Find/Replace dialog. (Implement #11780)
    * Update to Scintilla 5.2.4 and Lexilla 5.1.8. (Implement #12022)
    * Enhance very long line's performance. (Fix #11942)
    * Fix crash on Wine. (Fix #11941)
    * Fix Notepad++ crash due to calling NPPM_GETLANGUAGENAME with -1
      (WPARAM). (Fix #12009)
    * Improve performance for "Find in Files" and ""Find all in...". (Fix
      #11878)
    * Add option to turn off selecting text when Field dialog is invoked.
      (Implement #11988)
    * Fix drag n drop documents crash between 2 instances. (Fix #11976)
    * Fix erasing part of content make hanging issue. (Fix #10193)
    * Add an option for hiding the + v x from the menu bar. (Implement
      #11945)
    * Add cycling function hints ability by ALT-UP/DOWN shortcuts.
      (Implement #11950)
    * Add carret block after option. (Implement #11944)
    * Fix detected language not being applied if Default languge is set in
      Document settings. (Fix #11504)
    * Fix dark mode visual glichy in explorer panel under Windows 8.1. (Fix
      #11898)

 -- B. Stack <bgstack15@gmail.com>  Tue, 22 Nov 2022 10:19:00 -0500

notepadpp (8.4.4-1+devuan) obs; urgency=medium

  * Crash/regression-fixes & new enhancement:
    * Fix Find in Files crash & syntax highlighting regression. (Fix
      #11910, #11883 & #11920)
    * Add shortcuts toward the settings of preferences dialog into Styler
      Configurator. (Implement #11890)

 -- B. Stack <bgstack15@gmail.com>  Wed, 03 Aug 2022 14:18:46 -0400

notepadpp (8.4.3-1+devuan) obs; urgency=medium

    * Add an option which allows to show only 1 entry per found line in
      search result. (Fix #2481, #1499, #5547, #2987, #4525, #3224)
    * Make EOL (CRLF) display customizable (via Editing section of
      Preferences dialog). (Fix #11413)
    * Add 2 more shortcuts "plus" (new file) and "arrow" (drop down list of
      opened files) buttons on menu bar. (Fix #11229)
    * Update Lexilla to 5.1.7 & Scintilla to 5.2.3 and use new API for
      large files. (Implement #11734)
    * Fix Find in files performance regression since updating Scintilla 5.
      (Fix #11814)
    * Add dark mode support for plugins - support dark mode for plugins
      with docking GUI. (Fix #11710, implement #11767)
    * Fix a crash issue due to opening an empty .NFO file. (Fix #11820)
    * Fix language fonts regression in Style Configurator (make font
      definition possible again). (Fix #11786)
    * Add NPPM_CREATELEXER message for plugins to instantiate lexers. (Fix
      #11789)
    * Enhance dark mode (edge colors). (Fix #11207, #11376)
    * Fix "CMD Here" command open Explorer issue. (Fix #11818)
    * Fix crash issue of "Style Configurator…" command if "stylers.xml"
      is absent. (Fix #11812)
    * Fix Selected text changes color issue when editor window loses focus.
      (Fix #11743)
    * Skip save all warning dialog if only current editing file is dirty.
      (Fix #10995)
    * Fix a small regression in DebugInfo dialog. (Fix #11752)

 -- B. Stack <bgstack15@gmail.com>  Mon, 11 Jul 2022 15:48:41 -0400

notepadpp (8.4.2-1+devuan) obs; urgency=medium

    * Fix crash on "Copy Binary Content" command without selection on edit
      zone. (Fix #11639, #11671)
    * Fix crashes by re-invoking with command line argument "-udl". (Fix
      #11633)
    * Make toolbar icons customizable. (Fix #9913)
    * Make fold/unfold current level commands toggleable. (Fix #11529,
      #9196)
    * Add command line argument for plugin, a related notification and an
      API. (Fix #11576)
    * Fix horizontal scrolling with scroll wheel on Logitech MX issue. (Fix
      #10490)
    * Enhance dark mode. (Fix #11642, #11693, #11683, #11530, #10159)
    * Add encoding context menu via right/double click on status bar. (Fix
      #9998, #400, #756)
    * Add gui4cli keywords and fix its style IDs in stylers.model.xml.
    * Display installed plugin versions in Debug Info dialog. (Fix #11284)

 -- B. Stack <bgstack15@gmail.com>  Mon, 27 Jun 2022 12:01:57 -0400

notepadpp (8.4.1-1+devuan) obs; urgency=medium

  * Regression fixes, bug-fixes, and new enhancements:
    * Fix HTML syntax highlighting in PHP files regression. (Fix #11585,
      #11602)
    * Fix "Reload from disk" loosing syntax highlighting regression. (Fix
      #11606)
    * Fix unfocused selected text background color changed regression. (Fix
      #11595)
    * Update Scintilla from 5.2.1 to 5.2.2 and Lexilla from 5.1.5 to 5.1.6.
      (Implement #11537)
    * Fix multi-part keyword in prefix mode freezes Notepad++ in UDL. (Fix
      #11434)
    * Add several dark mode enhancement. (Fix #11574, #11622, #10054,
      #11546, #11544)
    * Add DarkMode usage detection support for plugins. (Implement #11546)
    * Add "Framed current line" option beside of "Highlight current line
      background". (Implement #11501)
    * Add file monitoring command line argument [-monitor]. (Implement
      #10562)
    * File Dialog enhancement. (Fix #11630, #11517)
    * Add a new format argument/option "ADD_ZERO_PADDING" to
      NPPM_GETNPPVERSION. (Implement #11535)
    * Restore auto-completion & calltip default fg/bg colors when no theme
      is applied. (Fix #11637)
    * Sort "Search result" to the bottom in language list of Style
      Configurator. (Fix #11337)

 -- B. Stack <bgstack15@gmail.com>  Wed, 01 Jun 2022 10:47:01 -0400

notepadpp (8.4-1+devuan) UNRELEASED; urgency=medium

  * New features, enhancements, and bug-fixes:
    * Update Scintilla from v4.4.6 to v5.2.1 and add Lexilla v5.1.5. (Fix
      #10504)
    * Enhance dark mode support (Shortcut Mapper, autocompletion, calltip,
      Column Editor and Style configurator, Preferences dialog, etc...) (Fix
      #11530, #11522, #11407, #11514, #11506, #11497)
    * Fix lossing characters issue after case-conversion (UPPER/lower).
      (Fix #11463)
    * Fix "Sort Lines as Integer" not considering negative number issue.
      (Fix #11023, #2025)
    * Sort languages alphabetically automatically in Style Configurator.
      (Fix #11337)
    * Fix flashing box (autocompletion empty list) appears while typing
      issue. (Fix #9433)
    * Scrolling Document List automatically to make the selected tab item
      visible. (Fix #11204)
    * Make Find in Files search result line number aligned. (Fix #11119)
    * Add default A-Z sorting ability in Function list. (Fix #11446)
    * Add virtual space ability. (Fix #11443, #11444)
    * Fix document being wronly marked as saved bug after converting its
      encoding. (Fix #11436)
    * Fix Document list not sync with tab order after sorting. (Fix #11272)
    * Fix file saving critical bug under Symantec encryption desktop. (Fix
      #11339)
    * Fix cropped text in Shortcut mapper's status area issue. (Fix #10358)
    * Enhance installer: Remember the chosen language in the previous
      installation. (Implement #10582)
    * Improve Find/Replace Dialog layout. (Fix #11318)
    * Update NSIS & Inno Setup keyword lists.

 -- B. Stack <bgstack15@gmail.com>  Wed, 01 Jun 2022 10:46:17 -0400

notepadpp (8.3.3-1+devuan) obs; urgency=medium

  * Regression-fix, bug-fixes and enhancement:
    * Fix crash regression on opening a session file. (Fix #11325, #11365)
    * Enhance stability: add new ability (plugin compatibility) for not
      loading incompatible plugins. (Fix #11349. Implement #11358, #11338,
      #11353)
    * Fix deleting the folded line makes folded (hidden) content
      disappeared. (Fix #11246)
    * Re-enable ability to center the Find Replace dialog on Notepad++ main
      window. (Implement #9201)
    * Fix extension not appended issue while saving with ENTER under
      Windows 7. (Fix #11305, #11355)
    * Fix preferences dialog "Dark Mode->Customize tone" color pickers RTL
      alignment issue in dark mode. (Fix #11343)
    * Fix disabled static texts of Preferences blurry issue in dark mode.
      (Fix #10823, #11331)
    * Add 4 API for custom auto-indentation and getting current macro
      status. (Implement #11253)
    * Add new AutoComplete icon for distinguishing functions from normal
      keywords. (Implement #11311)
    * Fix Plugin Admin close issue after typing ENTER. (Fix #11348)
    * Show current and new version on update dialog. (Implement #19)

 -- B. Stack <bgstack15@gmail.com>  Thu, 24 Mar 2022 18:48:21 -0400

notepadpp (8.3.2-1+devuan) UNRELEASED; urgency=medium

  * Regression-fixes, bug-fixes and enhancement:
    * Fix incorrect message while double clicking on search result
      regression. (Fix #11215, #11106)
    * Fix regression: file can't be saved if it's set to other charset
      before. (Fix #11238)
    * Fix UDL comment config input fields broken regression. (Fix #11239)
    * Fix UDL dialog crash issue on over 30 created UDL. (Fix #11257)
    * Add sorting document tab order commands by name, path, type and size
      under "Window" Menu. (Fix #10393)
    * Add API NPPM_GETCURRENTLINESTR and variable $(CURRENT_LINESTR) for
      RunDlg. (Fix #11216)
    * Support better 2GB+ file (cmdline & session file adaptation). (Fix
      #11213)
    * Fix auto-completion sort order problem due to fx icon. (Fix #11233)
    * Refine auto-saving session on exit behaviour. (Fix #11249)
    * Enhance performance on exit with certain settings. (Fix #11219)
    * Fix auto-complete case insensitive not working issue. (Fix #11187)
    * Fix saving problem (regression) with "Sysnative" alias in x86 binary.
      (Fix #11196)

 -- B. Stack <bgstack15@gmail.com>  Thu, 24 Mar 2022 18:48:14 -0400

notepadpp (8.3.1-1+devuan) UNRELEASED; urgency=medium

  * Regression-fixes, bug-fixes and enhancement:
    * Fix XML tag adding or mark deletion crash issue. (Fix #11128)
    * Fix wrong cursor position on opened file & cmdline '-n' param not
      working regression. (Fix #11131)
    * Revert "Enable backup on save (simple) feature by default".
    * Restore auto-completion insert selection default behaviour (now with
      both ENTER & TAB as expected). (Fix #11178)
    * Fix Path Completion not working regression. (Fix #11147)
    * Fix target directory parameter (/D=) ignored by x64 installer
      regression. (Fix #11072)
    * Add icons on function items of auto-completion to distinguish from
      word items. (Implement #11087)
    * Fix file dialog "Append extension" checkbox not working on empty
      folder. (Fix #10436)
    * Fix link part of Dark Mode Customized tone not persistent issue. (Fix
      #11095)
    * Fix NPPM_RELOADFILE not working with converted 8.3 DOS file name
      (from long file name) bug. (Fix #11106)

 -- B. Stack <bgstack15@gmail.com>  Thu, 24 Mar 2022 18:48:04 -0400

notepadpp (8.3-1+devuan) obs; urgency=medium

  - New features and bug-fixes:
    * Remove 2GB file open restriction for x64 binary.
    * Improve large files (200MB) loading speed and editing/browsing
      performance.
    * Fix Find in Files crash issue.

 -- B. Stack <bgstack15@gmail.com>  Thu, 10 Feb 2022 19:34:50 -0500

notepadpp (8.2.1-1+devuan) UNRELEASED; urgency=low

    * Fix regression of loaded session being empty on exit. (Fix #10986)
    * Add Find/Replace text swap button in Find replace dialog. (Fix #6010)
    * Add an option for inserting auto-completion selection to fix hitting
      twice ENTER to go to next line. (Fix #4799, #4631, #8389, #10915)
    * Fix installer x64 not detected the previous installation location.
      (Fix #7946)
    * Add copy name/path commands to DocList and Edit menu. (Fix #10394)
    * Fix Recent Files List not revised issue after "Save As" command. (Fix
      #10946)
    * Fix Windows 11 detected wrongly issue in "Debug information". (Fix
      #11011)
    * Fix "Save As" command cannot be used as "Save" issue. (Fix #10965)
    * Fix visual glitch regression of fg/bg color disabling. (Fix #11051)
    * Fix wrong keywords (of preprocessor in C) highlighting in Java. (Fix
      #11026)

 -- B. Stack <bgstack15@gmail.com>  Thu, 10 Feb 2022 19:33:43 -0500

notepadpp (8.2-1+devuan) obs; urgency=medium

  - New features and bug-fixes:
    * Add exclude folder(s) ability in Find in Files (mouse hover on
      "Filters" label for getting the example on tool-tip). (Fix #2433, #8350)
    * Fix UTF-8 detected wrongly as TIS-620 encoding issue. (Fix #10916,
      #940, #8755, #3588, #3188, #4932, #3172, #10492)
    * Add auto save loaded session on exit feature (while "Open session in
      a new instance" is set in Multi-instance settings). (Fix #1646, #3241,
      #3574, #4228)
    * A comprehensive fix for dockable panels losing background color when
      switching back Notepad++. (Fix #2202, #2937, #5980, #8980, #9905,
      #10091)
    * Fix memory leak while toggling between Dark/Lite Mode. (Fix #10957)
    * Fix caret left-right inverse moving in RTL mode issue. (Fix #8553,
      #7678, #9730)
    * Fix Document List icons unchanged issue after switching to dark mode
      or changing to alternative icons. (Fix #10740)
    * Fix incorrect folding behaviour in C, C++, Java, JavaScript,
      TypeScript and Objective-C. (Fix #4560)
    * Update boost regexp from v1.76 to v1.78. (Implement #10912)
    * "Rename tab" name field enlargement (from 20 to 63 char!). (Fix
      #10961, #9849)
    * Apply "crontab" file to the syntax highlighting of bash. (Fix #3377)

 -- B. Stack <bgstack15@gmail.com>  Tue, 04 Jan 2022 13:26:19 -0500

notepadpp (8.1.9-1+devuan) obs; urgency=medium

  - Bug-fixes:
    * Fix empty file with non-Unicode encoding cannot be saved issue. (Fix
      #10699)
    * Fix language list in Style Configurator not being reloaded issue.
      (Fix #9512)

 -- B. Stack <bgstack15@gmail.com>  Mon, 08 Nov 2021 11:05:45 -0500

notepadpp (8.1.8-1+devuan) obs; urgency=medium

  - Bug-fixes and improvement, version 8.1.8:
    * Fix config files (XML) saving performance regression. (Fix #10678,
      #10674)
    * Workaround Microsoft dark mode API bug of Windows 11. (Fix #10510)
  - Bug-fixes and improvement, version 8.1.7:
    * Fix empty file not being saved regression. (Fix #10667)
    * Fix white flash in dark mode on CMD launch with position parameters.
      (Fix #10657)
    * Enhance dark themes for some programming languages (JSON, Python &
      Makefile). (Fix #10648)
    * Fix "Run macro until the end of file" command skipping the last line
      issue. (Fix #10441)
    * Fix tooltip layout and position in RTL mode. (Fix #10646)
    * Fix docking problem for dockable panel in RTL mode. (Fix #10641)
  - Bug-fixes and improvement, version 8.1.6:
    * Fix NUL file-corruption issue after system shutting down brutally.
      (Fix #6133)
    * Fix session lost issue after MS update restarting Windows. (Fix
      #10402)
    * Make Markdown UDL work in every dark theme. (Fix #10593)
    * Fix file can be marked as saved even it's been deleted outside. (Fix
      #10401)
    * Fix status bar text display glitchy in dark mode. (Fix #10564)
    * Fix white flash on Notepad++ startup in dark mode issue. (Fix #10601)
    * Fix docked window sizing direction problem in RTL mode. (Fix #10536)
    * Fix floating panel movement issue in RTL mode. (Fix #10579)
    * Fix Print GUI bug in Preferences dialog. (Fix #10552)

 -- B. Stack <bgstack15@gmail.com>  Thu, 21 Oct 2021 13:31:39 -0400

notepadpp (8.1.5-1+devuan) obs; urgency=medium

  - Bug-fixes and improvement:
    * Make Insert date time customizable. (Fix #10467)
    * Make date time order reversible for short & long format. (Fix #10445)
    * Add Insert Date/Time commands shortcut & macro capacities. (Fix
      #10567)
    * Fix regression: no error message when locked file could not be saved
      - Show file locked warning now. (Fix #9994)
    * Make "Confirm Save All" dialog more clear: use "Always Yes" button
      instead of "Cancel". (Fix #10339)
    * Improve JSON, PHP, PYTHON, CSS, BANNC and VHDL syntax highlighting in
      dark mode. (Fix #10502, #10425, commit)
    * Fix inconsistency of Document List context menu. (Fix #10463)
    * Enable/disable ext column via Document list context menu directly.
      (Fix #10468)
    * Add path column in Document list panel. (Fix #9679)
    * Allow custom color for Document Map. (Fix #10052)
    * Fix docked/float panels in RTL layout issue. (Fix #10488)
    * Fix CSS pseudo-elements not recognized issue. Update CSS keywords and
      add new styles. (Fix #10425)
    * Fix issue that current directory not been applied after changing
      current directory option in preferences. (Fix #10396)
    * Sort Default language combobox of "New Document" section in
      Preferences. (Fix #10513)

 -- B. Stack <bgstack15@gmail.com>  Thu, 30 Sep 2021 07:51:57 -0400

notepadpp (8.1.4-1+devuan) obs; urgency=medium

  - Bug-fixes and improvement:
    * Fix regression of find/replace and file open performance issue. (Fix
      #10398, #10296, #10260)
    * Make dark mode compatible with Windows 11. (Fix #10299)
    * Make current existing plugins' toolbar icons display in both light
      and dark mode. (Fix #9959, #10388, #9809)
    * Support TypeScript language (syntax highlighting, auto-completion &
      function list). (Implement #10353)
    * Fix security flaw issue in uninstaller. (Fix #10191, #6165)
    * Add Insert Date Time commands for both short & long format.
      (Implement #497, #2821, #8184, #8302)
    * Fix file dialog append extension issue with RTL languages. (Fix
      #10397)
    * Fix Find-in-Files "Follow current doc" not working issue when Default
      Directory is set. (Fix #8045)
    * Enhance dialogs visual look & feel. (Fix #10384)
    * Fix LICENSE text display problem in installer. (Fix #10370)

 -- B. Stack <bgstack15@gmail.com>  Fri, 10 Sep 2021 20:32:03 -0400

notepadpp (8.1.3-1+devuan) obs; urgency=medium

  - Bug-fixes and improvement:
    * Dark mode enhancement: 95.427% dialogs are dark-modable. (Implement
      #10061, #10287, #10285, #10283, #10275, #10273, #10269, #10049, #10196,
      #10066, #10264, #10242, #10255, #10253, #10210, #10251, #10249, #10247,
      #10245, #10236, #10233, #10178, #10069, #10205, #10027, #10221, #10230,
      #10226)
    * Improve GUI display under high DPI.
    * Add Markdown UDL of dark mode in release packages. (Fix #10196)
    * Fix crash issue when several instances of the save dialogs are shown.
      (Fix #10290)
    * Fix save dialog not working on Windows Vista. (Fix #10238)
    * Add the capacity to switch among Find/Replace/FiF/Mark via their
      shortcuts. (Implement #10019)
    * Make Document List Panel togglable via View menu and shortcutable in
      shortcut mapper. (Implement #3526, #9015)
    * Fix Function list current empty lost issue while
      Sort/Unsort/Save/Reload. (Fix #8819, #10280, #10294)
    * Fix Functions list scrolling to the top on file save issue. (Fix
      #9659)
    * Fix wrong path in tooltip of tab in RTL mode. (Fix #8520)
    * Fix the file drag and drop bug in RTL mode. (Fix #8730)
    * Add filter capacity in Shortcut mapper by shortcut key combination
      (Implement #5616, #9316)
    * Add copy file names capacity from Windows dialog. (Implement #10123)
    * Fix shortcut conflict detection error in Shortcut mapper while
      filtering. (Fix #5374)
    * Increase macro, user command and plugin command number capacity. (Fix
      #10263)

 -- B. Stack <bgstack15@gmail.com>  Mon, 23 Aug 2021 10:35:48 -0400

notepadpp (8.1.2-1+devuan) obs; urgency=medium

  - Bug-fixes and improvement:
    * Make dark mode restartless. (Fix #10121)
    * Activate dark mode in Windows 11. (Fix #10136)
    * Make Notepad++ dark mode colors customizable: add 6 more color tone
      choices. (Implement #10128)
    * Add customizing dynamically dark mode colors capacity (Implement
      #10145)
    * Add command line flag -udl="UDL name" to open a file by applying an
      existent UDL via its name. (Implement #10102)
    * Use always current file directory in File Rename dialog. (Fix #10095)
    * Fix "Remember last used directory" unexpected behaviour. (Fix #10115)
    * Fix corrupted encoding text on status bar if shortcut assigned to
      encode command. (Fix #10146)
    * Add a Save all confirm dialog. (Fix #2124, #9931)
    * Improve JavaScript auto-completion. (Fix #9858)

 -- B. Stack <bgstack15@gmail.com>  Sat, 24 Jul 2021 15:46:10 -0400

notepadpp (8.1-1+devuan) obs; urgency=medium

  - Regression-fixes and improvements:
    * Fix regression of auto-completion performance issue (Fix #9975)
    * Fix Open dialog with "Save" label for "Open" button (Fix #9966)
    * Fix Notepad++ crash on dark mode while starting up (Fix #9961)
    * Improve look & feel in dark mode (Fix #9982)
    * Adapt Tooltips in dark mode (Fix #9962)
    * Remove white line under menubar in dark mode (Fix #9984)
    * Make multiline and vertical tabs work in dark mode (Implement #10017)

 -- B. Stack <bgstack15@gmail.com>  Tue, 29 Jun 2021 10:58:42 -0400

notepadpp (8.0-1+devuan) obs; urgency=medium

    * Add Dark Mode. (Implement #9183 & #7692)
    * ARM64 build is available. (Implement #5158)
    * One button to build them all - build Notepad++ with Scintilla static
      lib and Boost RegExpr headers. (Implement #9594)
    * Add new Fluent UI icons for toolbar. (Implement #9742)
    * Add new feature "Distraction Free Mode" (Menu "View->Distraction Free
      Mode").
    * Add new API NPPM_ADDTOOLBARICON_FORDARKMODE for dark mode (Implement
      #9928).
    * Add 1 click action (SHIFT-click) on close button to close all tabs in
      dockable panel (Implement #8922.
    * Add ability of changing select text foreground color (optional). (Fix
      #3397 & #1314)
    * Allow Replace to stop after replacement (optional). (Implement #4437)
    * Fix append extension feature not working in save dialog. (Fix #9939)
    * Add ability to reverse line order. (Implement #9837)
    * Add ability to style only current instance of text. (Fix #9263)
    * Fix duplicated entries in Auto-Completion pop-up window. (Fix #9711)
    * Fix Python Function List not showing functions in some circumstance.
      (Fix #9844)
    * Enhance Folder as Workspace performance while adding/removing files
      in bulk. (Fix #9203)
    * Add Ada, Fortran, Fortran77 & Haskell in function lists. (Fix #9698)
    * Improve performance of "Open all" command in Search results. (Fix
      #9819)
    * Add "Copy Pathnames" command to Search results context menu. (Fix
      #9821)
    * Catch regex search exceptions and show exception message. (Fix #9565)
    * Add MarkAll Preference settings for case and word. (Fix #9751 & #5148)
    * Fix regression: Handle "Default Directory" setting correctly in
      Open/Save File Dialog. (Fix #9767)
    * Fix a special character in UTF16 file crash issue (regression). (Fix
      #9797)
    * Add "Append extension" checkbox to Save As dialog. (Implement #9515)
    * Fix Copy command in Search result is available as there's no
      selection. (Fix #9757)
    * Add padding ability in the edit zone. (Fix #2323)
    * Make new tab name translatable. (Fix #2837)
    * Improve character case handling in RegEx. (Fix #9636)
    * Fix dragged out UDL file is not applied to UDL in the new instance.
      (Fix #3451)
    * Add command line parameter for adding specified string to app title
      bar. (Implement #9539)
    * Fix Auto-Completion ignoring case issue. (Fix #3997, #4833 & #4998)
    * Fix "Match Whole Word" option being enabled in RegEx Search. (Fix
      #9766)
    * Fix sort with column key selection that appears after tab characters.
      (Fix #9682)
    * Fix "Reload Workspace" menu command not working issue. (Fix #9350)
    * Fix view file in Edge browser failure issue if name contains spaces.
      (Fix #9313)
    * Add ability to avoid accumulating multiple search results. (Fix #8777)
    * Fix UTF-16 decoding/encoding for code points above U+FFFF. (Fix
      #9597, #3747 & #5754)
    * Fix "Save As" command removing original path from recent files
      history issue. (Fix #9673)
    * Fix function List button tool tips mixed up issue. (Fix #9804)
    * Remove Microsoft Bing from Notepad++ for Search on Internet command,
      due to its poor reliability. (Ref)

 -- B. Stack <bgstack15@gmail.com>  Mon, 07 Jun 2021 14:25:58 -0400

notepadpp (7.9.5-1+devuan) obs; urgency=medium
  - Enhancements and bug-fixes:

    * Fix Notepad++ not starting up due to SaveAsAdmin plugin (for
      installer package). (Fix
      [#9514](https://github.com/notepad-plus-plus/notepad-plus-plus/issues/95
      14))
    * Fix UNC path with quotes handling in folder & file Open/Save
      dialog. (Fix #9582)
    * Fix file doesn't save as extension type on Windows 7. (Fix #9657)

 -- B. Stack <bgstack15@gmail.com>  Mon, 29 Mar 2021 10:29:59 -0400

notepadpp (7.9.4-1+devuan) UNRELEASED; urgency=medium

  - Enhancements and bug-fixes:
    * Upgrade Scintilla from v4.2.0 to v4.4.6. (Implement #9550)
    * Fix DPI scaling broken while dragging Notepad++ into the 2nd
      monitor regression. (Fix #9513, #9579)
    * Add "Find in Projects" feature. (Implement #8125)
    * Fix project workspace changes lost on save cancel issue. (Fix
      #9605)
    * Fix folder picker not being launched issue because provided
      directory is invalid. (Fix #9569)
    * Fix network path (UNC path) not working in file dialog. (Fix
      #9527)
    * Fix shortcut name more than 64 characters makes a menu entry
      empty name issue. (Fix #9556)
    * Fix extension appending issue in file dialog. (Fix #9510)
    * Fix file not turning to modified state (with Session Manager plugin) bug after its content being changed. (Fix #9475)
    * Add an option to mute all sounds in preferences dialog. (Fix #7950)
    * Make JSON auto-indent for brace. (Fix #9499)

 -- B. Stack <bgstack15@gmail.com>  Mon, 29 Mar 2021 10:29:04 -0400

notepadpp (7.9.3-1+devuan) obs; urgency=medium

  - Enhancements and bug-fixes:
    * Discontinued support for Windows XP & Windows Server 2003 due to
      [technical
      reasons](https://github.com/notepad-plus-plus/notepad-plus-plus/pull/937
      8). Notepad++ 7.9.2 is the last version to run on Windows XP & Windows
      Server 2003.
      [Ref](https://github.com/notepad-plus-plus/notepad-plus-plus/blob/master
      /SUPPORTED_SYSTEM.md)
    * Upgrade Notepad++ License: update GPL version from v2 to v3. (Fix
      [#9425](https://github.com/notepad-plus-plus/notepad-plus-plus/issues/94
      25))
    * Fix the regression of copying line data from search results. (Fix
      #9334)
    * Fix "Print Line Number" preference is ignored for printing
      regression. (Fix #9379)
    * Fix a regression in Chinese Simplified localization. (Fix #9329)
    * Fix dockable panels not being displayed regression due to
      multi-instance mode activation. (Fix #9341 & #9363)
    * Make split-lines feature work again with multi-edge rightmost
      specified edge. (Fix #8262)
    * Enhance modern style file dialog for allowing UNIX style file
      path. (Fix #9374)
    * Use the modern browse folder dialog to get folder path. (Fix
      #8513)
    * Improve option for setting save dialog filter to All Types. (Fix
      #9325)
    * Add ability to delete entries from combo box history in Find
      dialog with DELETE key. (Implement #9366)
    * Fix lost session issue on Windows reboot/shutdown. (Fix #7839)
    * Add "save Folder as Workspace in session" option in save session
      dialog. (Implement #9165)
    * Make value dialog height accurate in any DPI. (Fix #8443)
    * Fix issue that Switch-To-Panel keyboard shortcuts cannot be used
      in context menu. (Fix #9435)
    * Fix a memory leak issue. (Ref)
    * Fix blurry display problem on an extended monitor. (Fix #8115)
    * Fix incompatible plugin not being deleted issue. (Fix #9377)
    * Synchronize GUP localization file (if available) with Notepad++
      in installer.
    * Enhance "No update" dialog with the download page link in the
      Notepad++ updater.
    * Fix NPPM_SETLINENUMBERWIDTHMODE API not working issue. (Fix #9338)

 -- B. Stack <bgstack15@gmail.com>  Sun, 28 Feb 2021 16:33:38 -0500

notepadpp (7.9.2-1+devuan) obs; urgency=medium

  - Enhancements and bug-fixes:
    * Fix regression of auto-Indent. (Fix
      [#9113](https://github.com/notepad-plus-plus/notepad-plus-plus/issues/9113))
    * Add custom URI schemes ability. (Fix #9155)
    * Improve URL parser: fix apostrophe in an URL issue. (Fix #9031)
    * Add context menu with "Copy link" ability. (Implement #2435)
    * Add color samples on menu items for styling features. (Fix #8983)
    * Add "-settingsDir" argument for overriding default settings path.
      (implement #4696)
    * Fix crash while exit command issued by plugin. (Fix #9082)
    * Fix several bugs of PHP parser rule for function list. (Fix
      #3321, #5045, #4627, #4606, #8855, #4208, #981, #2522, #1103, #4712,
      #3560, #5150, #4606)
    * Move "Normal Text" to top in Languages Menu. (Implement #7746,
      #8277)
    * Add new API NPPM_GETSETTINGSONCLOUDPATH for plugins. (Implement
      #9168)
    * Add an option for displaying constant line number width.
      (Implement #5670)
    * Fix function list is empty with new user profile in the same PC
      issue. (Fix #9134)
    * Fix single-quoted string being badly recognized as attribute
      value in XML. (Fix #3403)
    * Fix docked panels appear with "-nosession" cmd line parameters.
      (Fix #8005)
    * Improve text selection after Replace All In Selection operation.
      (Fix #9270)
    * Add the number of total documents on windows dialog's title bar.
      (Implement #8338)
    * Fix scroll to last line problem after main window resizing. (Fix
      #9123)
    * Fix Plugin admin display UTF-8 issue in its description. (Fix
      #9266)
    * Fix Search result's text direction (RTL) not always synchronized
      with main edit zone's one issue. (Fix #9241)
    * Fix dockable panels display issue in RTL direction. (Fix #9241)
    * Fix Search result line number highlighting inaccurate issue. (Fix
      #9224)
    * Make "Line" preceding each line number on Search Results
      translatable. (Fix #9224)
    * Fix menu check marks not being removed after closing "Clipboard
      History" and "Character Panel" panels. (Fix #9216)
    * Fix command line arguments -p, -n & -c negative value's undefined
      behaviour. (Fix #9146)
    * Add new Margin/Border/Edge sub-page in Preferences. (Implement
      #8896)
    * Fix find in files failure issue due to directory path with
      leading/trailing spaces. (Fix #9199)
    * Fix folder icon display issue in "Folder as Workspace" after
      "Expand/Collapse All". (Fix #8912)
    * Make "Clipboard History" and "Character Panel" togglable. (Fix
      #9094, #9078)
    * Fix Find in found results dialog launch failure after macro
      execution. (Fix #8199)
    * Disallow Goto dlg offset option from moving to position inside
      multi-byte char or between CR and LF. (Fix #9101, #9125)
    * Fix "Go to..." dialog wrong Offset value in empty files. (Fix
      #9145)
    * Prevent corruption possibility when using -p command line
      parameter in a UTF file. (Fix #9142)
    * Improve indent guidelines on non-brace control block languages.
      (Fix #9137)
    * Prevent names of untitled tabs from duplication. (Fix #9119)
    * Add tooltips for Folder as Workspace 3 commands. (Fix #8325)
    * Fix "SCI_NEWLINE" inside a macro not working issue. (Fix #5571)
    * Fix bug where search-results won't open 'new 1' file. (Fix #8461,
      #9098)
    * Fix tab close button remain pushed issue. (Fix #7750)
    * Enhance ghost typing command line argument feature - using white
      space directly instead of %20.
      ([Commit](https://github.com/notepad-plus-plus/notepad-plus-plus/commit/f617325006e7b7f22340b0a49f60a82e3d0392b4))

 -- B. Stack <bgstack15@gmail.com>  Mon, 01 Feb 2021 13:58:10 -0500

notepadpp (7.9.1-1+devuan) obs; urgency=medium

  - Packaging
    * bin32 and bin64: Depend on -common that is same or higher version
  - Enhancements and bug-fixes
    * Fix NUL file-corruption bug after Windows shutdown brutally (Fix
      [#6133](https://github.com/notepad-plus-plus/notepad-plus-plus/issues/6133)).
    * Fix inaccurate URL detection by replacing a new URL parser (Fix
      #3912, #3353, #4643, #5029, #6155, #7791, #8634)
    * Fix RegEx look behind operations and \A and and \b and \z (Fix
      #713, #1870, #2216, #2360, #9004, #4855).
    * Split functionList.xml into multifile in "functionList" Folder
      (Implement #4896).
    * Make tray icon work again in administrator mode (Fix #8528).
    * Fix dialogs & floating dockable panels don't minimize to system
      tray issue (Fix #9044, #8928).
    * Add alternative icon set for tab bar (Implement #8068).
    * Add ability to remove any duplicate lines in a document, keeping
      the first occurrence (Fix #8965).
    * Fix incorrect icon for monitoring status in Document list panel
      and in Document switcher (Fix #8783).
    * Add copy marked text & styled text to clipboard commands to menu
      (Implement #8943, #6095).
    * Fix find-all-open-docs not finding all matches in ANSI files (Fix
      #8901).
    * Display long lines better in Find-result panel by increasing its
      max length to 2048 (Fix #7723).
    * Fix double clicking on find result line not working (Fix #9009,
      #8525).
    * Fix Find-result rclick-Copy incomplete data bug (Fix #8801).
    * Add case insensitive lines sorting (Implement #4479).
    * Add "Open Containing Folder as Workspace" command in main menu
      and in context menu of tabs (Implement #3028).
    * Enhance Sel info of status bar (Fix #8524).
    * Add new option for save type of normal text files in Save dialog
      (Fix #8866).
    * Fix file path truncated issue in save confirmation dialog (Fix
      #8812).
    * Fix auto-Indent not working for PowerShell (Fix #9049).
    * Allow setting of background color for bookmark margin (Fix #8833).
    * Fix smart-highlighting not applying to cloned view (Fix #7910).
    * Fix smart highlight issue related to EOF (Fix #8908).
    * Fix closing file in 2nd view not removed from Doc Switcher (Fix
      #8800).
    * Add Delete keystroke to remove selected root from Folder as
      Workspace (Fix #8960).
    * Add TAB keystroke in Function List to switch between search field
      and list (Fix #8665).
    * Add ESC keystroke in Function List to switch to edit window (Fix
      #8886).
    * Add ESC keystroke to close Search Results Window (Implement
      #2946).
    * Fix data-prefixed attributes are not recognized in HTML (Fix
      #6200).

 -- B. Stack <bgstack15@gmail.com>  Fri, 04 Dec 2020 08:55:14 -0500

notepadpp (7.9-1+devuan) obs; urgency=medium

    Add the ability to open the target file of a Shortcut (*.lnk).
    Enhance side panels behaviour: close a single panel instead of the entire stack.
    Fix Monitoring & document auto-update not scrolling to the end of the file with Word wrap enabled issue.
    Fix mouse cursor flicker while hovering URLs.
    Add back hovered blue underlined URLs.
    Enhance C++, Perl, Python parsers and add VHDL in Function List.
    Improve some ambiguous commands naming in Shortcut Mapper.
    Add an option to prevent right click from canceling selection.
    Add ability to sort lines randomly.
    Fix "Close All BUT this" looses current document data issue.
    Allow user to start making a stream selection and then change to column block (by pressing ALT key).
    Add word wrap option to find results context menu.
    Add keyboard navigation ability to Column Editor.
    Add keyboard shortcut ability to Projects, Folder as Workspace and Function List for switching among these panels.
    Enable project panels toggle from menu.
    Enhance Folder as Workspace to restore latest selected item of last session on Notepad++ startup.
    Fix inaccurate line margin update with word wrap enabled.
    Fix Find previous/next commands not scroll vertically to show match result issue (with word wrap disabled).
    Fix column key sort with col block starting in col1 bug.
    Add confirmation preference for Replace All in All Opened Documents operation.
    Add Escape keypress in functionlist searchbox to clear its text.
    Add RTL capability to localized messageboxes.
    Make (Find) dlgAlwaysVisible a true Preference setting.
    Fix sorting by column key using incorrect key values.
    Add search scope to Find window status bar output.
    Fix false hit result in Find in Finder.
    Prevent redundant line data copy in Finder.

 -- B. Stack <bgstack15@gmail.com>  Mon, 05 Oct 2020 09:39:43 -0400

notepadpp (7.8.9-1+devuan) obs; urgency=medium

  - Bug-fixes
    * Fix Line operations (join lines, split lines, remove duplicate lines and sort lines) doing one too many lines issue.
    * Fix the regression of jump line failure via command line (-n).
    * Fix URL Hovered colour disappears after modifying any Clickable Link Settings regression.
    * Fix URL is not clickable in certain stuation while wrapped is enabled.
    * Fix "Save" not working in Windows dialog.
    * Fix Flickering cursor after double clicking a found line in find results.
    * Fix Found line may not be centered by double clicking in find results, if word wrap is on.
    * Fix wrong horizontal scroll bar position after restoring Window position.
    * Fix Find result window output TAB-width incoherent issue.

 -- B. Stack <bgstack15@gmail.com>  Thu, 23 Jul 2020 18:23:11 -0400

notepadpp (7.8.8-1+devuan) UNRELEASED; urgency=medium

  - Enhancements and bug-fixes
    * Fix accented characters in ANSI files not found in "find in files" and "replace in files" commands issues.
    * Add an option to improve rendering special Unicode characters by using Scintilla's DirectWrite technology.
    * Fix URL invisible issue in dark themes.
    * Fix the focus not on the opening new file issue.
    * Fix Workspace (Project panel), Folder As Workspace and function list keep focus issue after double clicking an item.
    * Add Ctrl+Backspace ability to delete word for comboboxes in Find/Replace dialog.
    * Add ability to find-all in selected text.
    * Fix wrong treatment of backslashes as escape sequences in autocompletion.
    * Enhance "Remove Empty Lines" command: Allow scope to be limited by an active selection.
    * Fix loading of project & session files by drag & drop not working issue.
    * Fix block selection cursor wrong positions after typing TAB.
    * Add confirmation prompt to "Replace all in all opened documents" command to avoid PBKAC.

 -- B. Stack <bgstack15@gmail.com>  Wed, 22 Jul 2020 00:00:00 -0400

notepadpp (7.8.7-1+devuan) obs; urgency=medium

  - Enhancements and bug-fixes
    * Fix new style save dialog by selecting right file filter and adding extension automatically.
    * Add right-click context menu to bookmark margin.
    * Add sub-menu bullets for cascaded Encoding and Language menus.
    * Display file name as root of workspace instead of "Workspace".
    * Add file extension automatically for session files and workspace files while saving in new style dialog.
    * Fix file reading failure (network problem) not detected issue.
    * Improve Document Map precision.
    * Fix clickable links break syntax highlighting issue.
    * Fix current range detached from Document Map issue.
    * Disallow backward regex searches due to sometimes surprising results ([an non-UI option is available to enable it](https://npp-user-manual.org/docs/preferences/#preferences-for-advanced-users)).
    * Fix wrong project panel at start by opening a project via command line.
    * Allow user to skip *.* when adding only excluding Filters for Find/Replace In Files.
    * Fix Doc switcher icon state update issue for cloned documents.
    * Assign CTRL-M as default shortcut for invoking mark dialog.
    * Fix also a folding visual glitch in Find result.
    * Add count of files searched to "Find result" output.
    * Fix Find/Replace history lost issue.
    * Fix bug of Mark clearing in selection mode.
    * Fix auto-completion suggest the same word while the word being modified.

 -- B. Stack <bgstack15@gmail.com>  Wed, 17 Jun 2020 13:28:48 -0400

notepadpp (7.8.6-1+devuan) obs; urgency=medium

  - Bug-fixes and enhancements
    * Add multi-column marker (multi-line edge) feature.
    * Add dynamical sorting feature for Folder as Workspace.
    * Make MRU tab activate instead of rightmost tab while tab closure (if MRU enabled).
    * Fix folding state lost on the next startup issue.
    * Make Replace-in-Files confirmation dialog modal to prevent from crashing.
    * Add support of smart-indenting for Perl and Rust.
    * Make recorded macro (IDC_FINDNEXT & IDC_FINDPREV)retro-compatible up to 7.8.4.

 -- B. Stack <bgstack15@gmail.com>  Wed, 29 Apr 2020 16:19:53 -0400

notepadpp (7.8.5-1+devuan) obs; urgency=medium

  - Bug-fixes and enhancements
    * Fix "Monitoring" not detecting all file changes issue.
    * Fix auto-updater disabling not working regression.
    * Fix Notepad++ doesn't exit correctly while Windows 10 update restart.
    * Make Count command in Find dialog respect Backward-direction and Wrap-around options.
    * Make Find dialog remember its position across runs.
    * Add the document size column to the Windows Selection dialog.
    * Make "View Current File in(browser)" commands macro recordable.
    * Add external sound control capability for unsuccessful search (in Find dialog) bell.

 -- B. Stack <bgstack15@gmail.com>  Mon, 09 Mar 2020 09:29:37 -0400

notepadpp (7.8.4-1+devuan) obs; urgency=medium

  - Bug-fixes
    * Fix regression of double clicking a found in files result while Word-Wrap is on.
    * Fix HashFromDlg title bar localization issue.

 -- B. Stack <bgstack15@gmail.com>  Tue, 18 Feb 2020 16:14:15 -0500

notepadpp (7.8.3-1+devuan) obs; urgency=low

  - Enhancements and bug-fixes
    * Add the "Expand All", "Fold All" and "Select/Show current editing file" capacity into Folder as Workspace.
    * Fix restoring line position issue while document is wrapped.
    * Improve Json syntax highlighting.
    * Make filling find field of Find dialog with selected word(s) optional.
    * Make doSaveOrNot dialog simpler when there's a single file to save.
    * Fix auto-insert {[""]} imbrication not working issue.
    * Make cmd cli (for "Open Containing Folder in cmd") customizable.
    * Prevent from setting Updater's Proxy as Notepad++ is not in Admin mode.
    * Disable file association settings when Notepad++'s no admin right.
    * Fix incremental search bar "highlight all" option not conserved bug.
    * Enhance SQL syntax highlighting (add 2 more keyword lists).
    * Fix too small buffer issue during add text macro playback.
    * Fix "Close All Unchanged" not working issue for sub-view.
    * Eliminate garbage displaying in Find-result fold margin.

 -- B. Stack <bgstack15@gmail.com>  Mon, 27 Jan 2019 09:06:43 -0500

notepadpp (7.8.2-1+devuan) obs; urgency=low

  - Initial release for Devuan
  - Use custom orig.tar.gz that combines the upstream 7z files and some plugins
    * 32-bit and 64-bit Compare
    * 32-bit TextFX Characters
  - Enhancements and bug-fixes
    * Add key shortcuts in Save or not dialog.
    * Add find in files filter excluding ability.
    * Add "Open UDL folder" command.
    * Fix issue of showing save dialog twice while cloned file is dirty.
    * Enhance "Open Explorer" command in Folder as workspace with expected path.
    * Fix tab dragging issues.
    * Enhance "Close all but This" and "Close all to the left/right" commands while files are dirty.
    * Enhance "In Selection" option in Find dialog.
    * Fix Notepad++ blocked in notification zone issue.
    * Make end-of-line conversion operations macroable.
    * Fix "View Current File In" commands disabled problem in some situations.

 -- B. Stack <bgstack15@gmail.com>  Fri, 27 Dec 2019 13:49:15 -0500
